Package: org.apache.groovy.util.concurrent

## [Java] Enum ConcurrentReferenceHashMap.ReferenceType

- org.apache.groovy.util.concurrent.ConcurrentReferenceHashMap.ReferenceType

-     public static enum ConcurrentReferenceHashMap.ReferenceType

  An option specifying which Java reference type should be used to refer to a key and/or value.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `SOFT` | Indicates a SoftReference should be used
    `STRONG` | Indicates a normal Java strong reference should be used
    `WEAK` | Indicates a WeakReference should be used

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ConcurrentReferenceHashMap.ReferenceType SOFT

      Indicates a SoftReference should be used

    - #### ConcurrentReferenceHashMap.ReferenceType STRONG

      Indicates a normal Java strong reference should be used

    - #### ConcurrentReferenceHashMap.ReferenceType WEAK

      Indicates a WeakReference should be used